<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWindowsForms>true</UseWindowsForms>
    <ImplicitUsings>enable</ImplicitUsings>
    <AnalysisLevel>6.0-all</AnalysisLevel>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="C:\Users\Black\.nuget\packages\nlog.config\4.7.15\contentFiles\any\any\NLog.config" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.4">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="7.0.0" />
    <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="7.0.0" />
    <PackageReference Include="NLog" Version="5.1.2" />
    <PackageReference Include="NLog.Extensions.Logging" Version="5.2.2" />
    <PackageReference Include="ReportViewerCore.WinForms" Version="15.1.17" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\JewelryShopDataModels\JewelryStoreDataModels.csproj" />
    <ProjectReference Include="..\JewelryStoreBusinessLogic\JewelryStoreBusinessLogic.csproj" />
    <ProjectReference Include="..\JewelryStoreContracts\JewelryStoreContracts.csproj" />
    <ProjectReference Include="..\JewelryStoreDatabaseImplement\JewelryStoreDatabaseImplement.csproj" />
    <ProjectReference Include="..\JewelryStoreFileImplement\JewelryStoreFileImplement.csproj" />
    <ProjectReference Include="..\JewelryStoreListImplement\JewelryStoreListImplement.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="nlog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>